#
# spec file for package clamz
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version}
BuildRequires:  libexpat-devel
%else
BuildRequires:  expat-devel
%endif
BuildRequires:  libcurl-devel libgcrypt-devel pkgconfig update-desktop-files
#

Name:           clamz
Url:            http://code.google.com/p/clamz/
Summary:        Command-line tool to download MP3 files from Amazon
Version:        0.5
Release:        11.31
License:        GPL-3.0+
Group:          Productivity/Networking/Web/Utilities
Source:         http://clamz.googlecode.com/files/clamz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Clamz is a little command-line program to download MP3 files from
Amazon.com's music store. It is intended to serve as a substitute
for Amazon's official MP3 Downloader, which is not free software.
Clamz can be used to download either individual songs or complete
albums that you have purchased from Amazon.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" UPDATE_MIME_DATABASE=: UPDATE_DESKTOP_DATABASE=: install

%suse_update_desktop_file clamz

%post
%if %{defined mime_database_post}
%mime_database_post
%endif
%if %{defined desktop_database_post}
%desktop_database_post
%endif

%postun
%if %{defined mime_database_postun}
%mime_database_postun
%endif
%if %{defined desktop_database_postun}
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc COPYING README 
%{_bindir}/clamz
%{_mandir}/man?/clamz.*
%{_datadir}/applications/clamz.desktop
%{_datadir}/mime/packages/clamz.xml

%changelog
* Thu Oct 27 2011 cfarrell@suse.com
- license update: GPL-3.0+
  no instances of GPL-3.0 (i.e. only) code in the package
* Wed Oct 26 2011 jnelson-suse@jamponi.net
- Update to 0.5 (bnc#726528):
  * Support unencrypted AMZ files, which Amazon has recently started
    using for the Amazon Cloud Player.  (If you choose not to use the
    Cloud Player, the old MP3 store interface is still using encrypted
    AMZ files, at least for now.)  Thanks to John Southworth for
    identifying the problem and providing a patch.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Mon Nov  8 2010 lnussel@suse.de
- fix build on older distros
* Tue Oct 12 2010 lnussel@suse.de
- exclude %%{_datadir}/applications/mimeinfo.cache and call desktop
  macros in %%post/%%postun
* Thu Sep  9 2010 lnussel@suse.de
- file permissions patch no longer needed
* Wed Sep  8 2010 asn@cynapses.org
- update to version 0.4
* Sun Dec 13 2009 lnussel@suse.de
- new package version 0.2
